Package org.eclipse.emf.compare.internal.conflict

## Class ConflictSearchFactory

- java.lang.Object
- - org.eclipse.emf.compare.util.CompareSwitch<AbstractConflictSearch<? extends Diff>>
  - - org.eclipse.emf.compare.internal.conflict.ConflictSearchFactory

    public class ConflictSearchFactory
    extends CompareSwitch<AbstractConflictSearch<? extends Diff>>

Factory for ConflictSearch classes.

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.util.CompareSwitch

`copyright, modelPackage`

### Constructor Summary

Constructors
`ConflictSearchFactory​(Comparison comparison, Monitor monitor)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractConflictSearch<AttributeChange>` `caseAttributeChange​(AttributeChange diff)` Returns the result of interpreting the object as an instance of 'Attribute Change'.
`AbstractConflictSearch<? extends Diff>` `caseFeatureMapChange​(FeatureMapChange diff)` Returns the result of interpreting the object as an instance of 'Feature Map Change'.
`AbstractConflictSearch<? extends Diff>` `caseReferenceChange​(ReferenceChange diff)` Returns the result of interpreting the object as an instance of 'Reference Change'.
`AbstractConflictSearch<? extends Diff>` `caseResourceAttachmentChange​(ResourceAttachmentChange diff)` Returns the result of interpreting the object as an instance of 'Resource Attachment Change'.

### Methods inherited from class org.eclipse.emf.compare.util.CompareSwitch

`caseComparison, caseConflict, caseDiff, caseEquivalence, caseMatch, caseMatchResource, caseResourceLocationChange, defaultCase, doSwitch, doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConflictSearchFactory

    public ConflictSearchFactory​(Comparison comparison,
                                 Monitor monitor)

Constructor.

Parameters:
  `comparison` - The comparison
  `monitor` - The progress monitor

### Method Detail

#### caseAttributeChange

    public AbstractConflictSearch<AttributeChange> caseAttributeChange​(AttributeChange diff)

Description copied from class: `CompareSwitch`
Returns the result of interpreting the object as an instance of 'Attribute Change'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseAttributeChange` in class `CompareSwitch<AbstractConflictSearch<? extends Diff>>`
Parameters:
  `diff` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Attribute Change'.
See Also:
  `doSwitch(EObject)`

#### caseFeatureMapChange

    public AbstractConflictSearch<? extends Diff> caseFeatureMapChange​(FeatureMapChange diff)

Description copied from class: `CompareSwitch`
Returns the result of interpreting the object as an instance of 'Feature Map Change'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseFeatureMapChange` in class `CompareSwitch<AbstractConflictSearch<? extends Diff>>`
Parameters:
  `diff` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Feature Map Change'.
See Also:
  `doSwitch(EObject)`

#### caseReferenceChange

    public AbstractConflictSearch<? extends Diff> caseReferenceChange​(ReferenceChange diff)

Description copied from class: `CompareSwitch`
Returns the result of interpreting the object as an instance of 'Reference Change'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseReferenceChange` in class `CompareSwitch<AbstractConflictSearch<? extends Diff>>`
Parameters:
  `diff` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Reference Change'.
See Also:
  `doSwitch(EObject)`

#### caseResourceAttachmentChange

    public AbstractConflictSearch<? extends Diff> caseResourceAttachmentChange​(ResourceAttachmentChange diff)

Description copied from class: `CompareSwitch`
Returns the result of interpreting the object as an instance of 'Resource Attachment Change'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseResourceAttachmentChange` in class `CompareSwitch<AbstractConflictSearch<? extends Diff>>`
Parameters:
  `diff` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Resource Attachment Change'.
See Also:
  `doSwitch(EObject)`